Version(3)

NAME
Version - Version Macros

SYNOPSIS

  Macros

#define MDB_VERSION_MAJOR 0
#define MDB_VERSION_MINOR 9
#define MDB_VERSION_PATCH 35
#define MDB_VERINT(a, b, c)
#define MDB_VERSION_FULL MDB_VERINT(MDB_VERSION_MAJOR,MDB_VERSION_MINOR,MDB_VERSION_PATCH)
#define MDB_VERSION_DATE 'Jan 27, 2026'
#define MDB_VERSTR(a, b, c, d)
#define MDB_VERFOO(a, b, c, d)
#define MDB_VERSION_STRING MDB_VERFOO(MDB_VERSION_MAJOR,MDB_VERSION_MINOR,MDB_VERSION_PATCH,MDB_VERSION_DATE)

Detailed Description

Macro Definition Documentation

  #define MDB_VERSION_MAJOR 0
Library major version

  #define MDB_VERSION_MINOR 9
Library minor version

  #define MDB_VERSION_PATCH 35
Library patch version

  #define MDB_VERINT( a, b, c)
Value:
(((a) << 24) | ((b) << 16) | (c))

Combine args a,b,c into a single integer for easy version comparisons

  #define MDB_VERSION_FULL MDB_VERINT(MDB_VERSION_MAJOR,MDB_VERSION_MINOR,MDB_VERSION_PATCH)
The full library version as a single integer

  #define MDB_VERSION_DATE 'Jan 27, 2026'
The release date of this library version

  #define MDB_VERSTR( a, b, c, d)
Value:
"LMDB " #a "." #b "." #c ": (" d ")"

A stringifier for the version info

  #define MDB_VERFOO( a, b, c, d)
Value:
MDB_VERSTR(a,b,c,d)

A helper for the stringifier macro

  #define MDB_VERSION_STRING MDB_VERFOO(MDB_VERSION_MAJOR,MDB_VERSION_MINOR,MDB_VERSION_PATCH,MDB_VERSION_DATE)
The full library version as a C string

Author

Generated automatically by Doxygen for LMDB from the source code.